package common.block.foliage;

import common.block.Material;
import common.block.SoundType;
import common.init.Items;
import common.item.CheatTab;
import common.item.Item;
import common.rng.Random;
import common.world.State;

public class BlockDryLeaves extends BlockLeavesBase
{
//    protected boolean isTransparent;

    public BlockDryLeaves()
    {
        super(Material.SOFT);
        this.setTab(CheatTab.PLANTS);
        this.setHardness(0.2F);
        this.setLightOpacity(1);
        this.setStepSound(SoundType.GRASS);
        this.setFlammable(60, 100);
    }

    /**
     * Returns the quantity of items to drop on block destruction.
     */
    public int quantityDropped(Random random)
    {
        return random.chance(0, 1, 5);
    }

    /**
     * Get the Item that this Block should drop when harvested.
     */
    public Item getItemDropped(State state, Random rand, int fortune)
    {
        return Items.stick;
    }

//    /**
//     * Used to determine ambient occlusion and culling when rebuilding chunks for render
//     */
//    public boolean isOpaqueCube()
//    {
//        return !this.fancyGraphics;
//    }

//    /**
//     * Pass true to draw this block using fancy graphics, or false for fast graphics.
//     */
//    public void setTransparent(boolean fancy)
//    {
//        this.isTransparent = fancy;
//        this.fancyGraphics = fancy;
//    }
//
//    public EnumWorldBlockLayer getBlockLayer()
//    {
//        return this.isTransparent ? EnumWorldBlockLayer.CUTOUT_MIPPED : EnumWorldBlockLayer.SOLID;
//    }
//
//    public boolean isVisuallyOpaque()
//    {
//        return false;
//    }
}
